package com.gic.haoban.manage.service.entity.hm;

import java.io.Serializable;

/**
 * 
 * @ClassName: TabHaobanHmLinkStore
 * @Description: TODO
 * @Author 徐高华
 * @Date 2022年07月04日 11:19:29
 * @Modify
 * @CopyRight 
 */
public class TabHmLinkStore implements Serializable {

    private static final long serialVersionUID = 2215892411689400L;

    private Long id;
    private String wxEnterpriseId;
    private String enterpriseId;
    private String storeId;
    private String storeCode;
    private String storeName;
    /**1正常 0删除*/
    private Integer statusFlag;
    /**活码链接ID*/
    private Long linkId;
    /**1推荐门店*/
    private Integer setttingType;
    private java.util.Date createTime;
    private java.util.Date updateTime;
    
    public java.util.Date getCreateTime() {
        return createTime;
    }

    public java.util.Date getUpdateTime() {
        return updateTime;
    }

    public void setCreateTime(java.util.Date createTime) {
        this.createTime = createTime;
    }

    public void setUpdateTime(java.util.Date updateTime) {
        this.updateTime = updateTime;
    }

    public void setId(Long id) {
        this.id = id;
    }

    public Long getId() {
        return id;
    }

    public void setWxEnterpriseId(String wxEnterpriseId) {
        this.wxEnterpriseId = wxEnterpriseId;
    }

    public String getWxEnterpriseId() {
        return wxEnterpriseId;
    }

    public void setEnterpriseId(String enterpriseId) {
        this.enterpriseId = enterpriseId;
    }

    public String getEnterpriseId() {
        return enterpriseId;
    }

    public void setStoreId(String storeId) {
        this.storeId = storeId;
    }

    public String getStoreId() {
        return storeId;
    }

    public void setStoreCode(String storeCode) {
        this.storeCode = storeCode;
    }

    public String getStoreCode() {
        return storeCode;
    }

    public void setStoreName(String storeName) {
        this.storeName = storeName;
    }

    public String getStoreName() {
        return storeName;
    }

    public void setStatusFlag(Integer statusFlag) {
        this.statusFlag = statusFlag;
    }

    public Integer getStatusFlag() {
        return statusFlag;
    }

    public void setLinkId(Long linkId) {
        this.linkId = linkId;
    }

    public Long getLinkId() {
        return linkId;
    }

    public void setSetttingType(Integer setttingType) {
        this.setttingType = setttingType;
    }

    public Integer getSetttingType() {
        return setttingType;
    }
}